package com.tema.Inspection;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	private static final boolean fullScreen = false;
	private static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "com.tema.Inspection", "main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                anywheresoftware.b4a.keywords.Common.Log("Killing previous instance (main).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
		activityBA = new BA(this, layout, processBA, "com.tema.Inspection", "main");
        processBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        initializeProcessGlobals();		
        initializeGlobals();
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (mostCurrent == null || mostCurrent != this)
			return;
        processBA.setActivityPaused(false);
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
		return true;
	}
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyDown(keyCode, event);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public static class _rowcol{
boolean IsInitialized;
int Row;
int Col;
int Key;
public void Initialize() {
IsInitialized = true;
Row = 0;
Col = 0;
}
@Override
		public String toString() {
			return BA.TypeToString(this);
		}}
public anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4a.objects.StringUtils _stringutils1 = null;
public static anywheresoftware.b4a.objects.StringUtils _stringutils2 = null;
public static anywheresoftware.b4a.objects.Timer _tmrscroll = null;
public tablegrid._grid _table1 = null;
public tablegrid._grid _table2 = null;
public static int _alignment = 0;
public static String _selectedtable = "";
public static boolean _selecteddirection = false;
public static int _kay1 = 0;
public tablecolumns _tablecolumns = null;
public tablegrid _tablegrid = null;
public static String  _activity_create(boolean _firsttime) throws Exception{
 //BA.debugLineNum = 22;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 23;BA.debugLine="TableColumns.Property_Load";
mostCurrent._tablecolumns._property_load(mostCurrent.activityBA);
 //BA.debugLineNum = 25;BA.debugLine="TableGrid.TableCreate(Table1,\"Table1\",100dip,0dip,300dip,200dip,18,24,\"InspectionTalep.csv\")";
mostCurrent._tablegrid._tablecreate(mostCurrent.activityBA,mostCurrent._table1,"Table1",anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(100)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(0)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(300)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(200)),(int)(18),(int)(24),"InspectionTalep.csv");
 //BA.debugLineNum = 26;BA.debugLine="Activity.AddView(Table1.Frame, Table1.Left, Table1.Top + Table1.RowHeight, Table1.Width, Table1.Height-Table1.RowHeight)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._table1.Frame.getObject()),mostCurrent._table1.Left,(int)(mostCurrent._table1.Top+mostCurrent._table1.RowHeight),mostCurrent._table1.Width,(int)(mostCurrent._table1.Height-mostCurrent._table1.RowHeight));
 //BA.debugLineNum = 28;BA.debugLine="TableGrid.TableCreate(Table2,\"Table2\",150dip,220dip,200dip,250dip,8,20,\"AliVeli.csv\")";
mostCurrent._tablegrid._tablecreate(mostCurrent.activityBA,mostCurrent._table2,"Table2",anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(150)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(220)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(200)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(250)),(int)(8),(int)(20),"AliVeli.csv");
 //BA.debugLineNum = 29;BA.debugLine="Activity.AddView(Table2.Frame, Table2.Left, Table2.Top + Table2.RowHeight, Table2.Width, Table2.Height-Table2.RowHeight)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._table2.Frame.getObject()),mostCurrent._table2.Left,(int)(mostCurrent._table2.Top+mostCurrent._table2.RowHeight),mostCurrent._table2.Width,(int)(mostCurrent._table2.Height-mostCurrent._table2.RowHeight));
 //BA.debugLineNum = 31;BA.debugLine="tmrScroll.Initialize(\"tmrScroll\",50)";
_tmrscroll.Initialize(processBA,"tmrScroll",(long)(50));
 //BA.debugLineNum = 34;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 82;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 84;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 78;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 80;BA.debugLine="End Sub";
return "";
}
public static String  _autoscroll(String _selectedtablename,boolean _left) throws Exception{
 //BA.debugLineNum = 118;BA.debugLine="Sub AutoScroll(selectedTableName As String,Left As Boolean)";
 //BA.debugLineNum = 119;BA.debugLine="selectedTable=selectedTableName";
mostCurrent._selectedtable = _selectedtablename;
 //BA.debugLineNum = 120;BA.debugLine="selectedDirection=Left";
_selecteddirection = _left;
 //BA.debugLineNum = 121;BA.debugLine="tmrScroll.Interval=50";
_tmrscroll.setInterval((long)(50));
 //BA.debugLineNum = 122;BA.debugLine="tmrScroll.Enabled=True";
_tmrscroll.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 124;BA.debugLine="Select selectedTable";
switch (BA.switchObjectToInt(mostCurrent._selectedtable,"Table1","Table2")) {
case 0:
 //BA.debugLineNum = 126;BA.debugLine="TableGrid.tmrScrollButtonOffEnabled(Table1)";
mostCurrent._tablegrid._tmrscrollbuttonoffenabled(mostCurrent.activityBA,mostCurrent._table1);
 break;
case 1:
 //BA.debugLineNum = 128;BA.debugLine="TableGrid.tmrScrollButtonOffEnabled(Table2)";
mostCurrent._tablegrid._tmrscrollbuttonoffenabled(mostCurrent.activityBA,mostCurrent._table2);
 break;
default:
 break;
}
;
 //BA.debugLineNum = 131;BA.debugLine="End Sub";
return "";
}
public static String  _autoscrolloff() throws Exception{
 //BA.debugLineNum = 132;BA.debugLine="Sub AutoScrollOff";
 //BA.debugLineNum = 133;BA.debugLine="tmrScroll.Enabled=False";
_tmrscroll.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 134;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    if (processGlobalsRun == false) {
	    processGlobalsRun = true;
		try {
                
		        main._process_globals();
tablecolumns._process_globals();
tablegrid._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 11;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 12;BA.debugLine="Dim Table1,Table2 As Grid";
mostCurrent._table1 = new tablegrid._grid();
mostCurrent._table2 = new tablegrid._grid();
 //BA.debugLineNum = 14;BA.debugLine="Type RowCol (Row As Int, Col As Int)";
;
 //BA.debugLineNum = 15;BA.debugLine="Dim Alignment As Int";
_alignment = 0;
 //BA.debugLineNum = 16;BA.debugLine="Dim selectedTable As String,selectedDirection As Boolean";
mostCurrent._selectedtable = "";
_selecteddirection = false;
 //BA.debugLineNum = 18;BA.debugLine="Dim kay1 As Int: kay1=0";
_kay1 = 0;
 //BA.debugLineNum = 18;BA.debugLine="Dim kay1 As Int: kay1=0";
_kay1 = (int)(0);
 //BA.debugLineNum = 20;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 6;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 7;BA.debugLine="Dim StringUtils1, StringUtils2 As StringUtils";
_stringutils1 = new anywheresoftware.b4a.objects.StringUtils();
_stringutils2 = new anywheresoftware.b4a.objects.StringUtils();
 //BA.debugLineNum = 8;BA.debugLine="Dim tmrScroll As Timer";
_tmrscroll = new anywheresoftware.b4a.objects.Timer();
 //BA.debugLineNum = 9;BA.debugLine="End Sub";
return "";
}
public static String  _table1_btnleft_down() throws Exception{
 //BA.debugLineNum = 94;BA.debugLine="Sub Table1_btnLeft_Down";
 //BA.debugLineNum = 95;BA.debugLine="AutoScroll(\"Table1\",True)";
_autoscroll("Table1",anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 96;BA.debugLine="End Sub";
return "";
}
public static String  _table1_btnleft_up() throws Exception{
 //BA.debugLineNum = 97;BA.debugLine="Sub Table1_btnLeft_Up";
 //BA.debugLineNum = 98;BA.debugLine="AutoScrollOff";
_autoscrolloff();
 //BA.debugLineNum = 99;BA.debugLine="End Sub";
return "";
}
public static String  _table1_btnright_down() throws Exception{
 //BA.debugLineNum = 106;BA.debugLine="Sub Table1_btnRight_Down";
 //BA.debugLineNum = 107;BA.debugLine="AutoScroll(\"Table1\",False)";
_autoscroll("Table1",anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 108;BA.debugLine="End Sub";
return "";
}
public static String  _table1_btnright_up() throws Exception{
 //BA.debugLineNum = 109;BA.debugLine="Sub Table1_btnRight_Up";
 //BA.debugLineNum = 110;BA.debugLine="AutoScrollOff";
_autoscrolloff();
 //BA.debugLineNum = 111;BA.debugLine="End Sub";
return "";
}
public static String  _table1_cell_click() throws Exception{
tablegrid._rowcol _rc = null;
anywheresoftware.b4a.objects.LabelWrapper _l = null;
 //BA.debugLineNum = 35;BA.debugLine="Sub Table1_Cell_Click";
 //BA.debugLineNum = 36;BA.debugLine="Dim rc As RowCol";
_rc = new tablegrid._rowcol();
 //BA.debugLineNum = 37;BA.debugLine="Dim l As Label : l = Sender";
_l = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 37;BA.debugLine="Dim l As Label : l = Sender";
_l.setObject((android.widget.TextView)(anywheresoftware.b4a.keywords.Common.Sender(mostCurrent.activityBA)));
 //BA.debugLineNum = 38;BA.debugLine="rc = l.Tag";
_rc = (tablegrid._rowcol)(_l.getTag());
 //BA.debugLineNum = 39;BA.debugLine="TableGrid.SelectRow(Table1,rc.Row)";
mostCurrent._tablegrid._selectrow(mostCurrent.activityBA,mostCurrent._table1,_rc.Row);
 //BA.debugLineNum = 40;BA.debugLine="activity.Title = \"Cell clicked: (\" & rc.Row & \", \" & rc.Col & \")\"";
mostCurrent._activity.setTitle((Object)("Cell clicked: ("+BA.NumberToString(_rc.Row)+", "+BA.NumberToString(_rc.Col)+")"));
 //BA.debugLineNum = 41;BA.debugLine="End Sub";
return "";
}
public static String  _table1_cell_longclick() throws Exception{
 //BA.debugLineNum = 42;BA.debugLine="Sub Table1_Cell_LongClick";
 //BA.debugLineNum = 43;BA.debugLine="TableGrid.EditTextOpen(Table1,Sender)";
mostCurrent._tablegrid._edittextopen(mostCurrent.activityBA,mostCurrent._table1,(anywheresoftware.b4a.objects.LabelWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.LabelWrapper(), (android.widget.TextView)(anywheresoftware.b4a.keywords.Common.Sender(mostCurrent.activityBA))));
 //BA.debugLineNum = 44;BA.debugLine="End Sub";
return "";
}
public static String  _table1_header_click() throws Exception{
anywheresoftware.b4a.objects.LabelWrapper _l = null;
int _col = 0;
 //BA.debugLineNum = 69;BA.debugLine="Sub Table1_Header_Click";
 //BA.debugLineNum = 70;BA.debugLine="Dim l As Label";
_l = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 71;BA.debugLine="Dim col As Int";
_col = 0;
 //BA.debugLineNum = 72;BA.debugLine="l = Sender";
_l.setObject((android.widget.TextView)(anywheresoftware.b4a.keywords.Common.Sender(mostCurrent.activityBA)));
 //BA.debugLineNum = 73;BA.debugLine="col = l.Tag";
_col = (int)(BA.ObjectToNumber(_l.getTag()));
 //BA.debugLineNum = 74;BA.debugLine="Activity.Title= \"Header1 clicked: \" & col";
mostCurrent._activity.setTitle((Object)("Header1 clicked: "+BA.NumberToString(_col)));
 //BA.debugLineNum = 75;BA.debugLine="End Sub";
return "";
}
public static String  _table1_header_longclick() throws Exception{
 //BA.debugLineNum = 88;BA.debugLine="Sub Table1_Header_LongClick";
 //BA.debugLineNum = 89;BA.debugLine="TableGrid.HeaderLongClick(Table1)";
mostCurrent._tablegrid._headerlongclick(mostCurrent.activityBA,mostCurrent._table1);
 //BA.debugLineNum = 90;BA.debugLine="End Sub";
return "";
}
public static String  _table1_tmrscrollbuttonoff_tick() throws Exception{
 //BA.debugLineNum = 146;BA.debugLine="Sub Table1_tmrScrollButtonOff_Tick";
 //BA.debugLineNum = 148;BA.debugLine="TableGrid.tmrScrollButtonOffTick(Table1)";
mostCurrent._tablegrid._tmrscrollbuttonofftick(mostCurrent.activityBA,mostCurrent._table1);
 //BA.debugLineNum = 149;BA.debugLine="End Sub";
return "";
}
public static String  _table1_txtedit_enterpressed() throws Exception{
 //BA.debugLineNum = 62;BA.debugLine="Sub Table1_txtEdit_EnterPressed";
 //BA.debugLineNum = 63;BA.debugLine="TableGrid.txtEditEnterPressed(Table1,Sender)";
mostCurrent._tablegrid._txteditenterpressed(mostCurrent.activityBA,mostCurrent._table1,(anywheresoftware.b4a.objects.EditTextWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.EditTextWrapper(), (android.widget.EditText)(anywheresoftware.b4a.keywords.Common.Sender(mostCurrent.activityBA))));
 //BA.debugLineNum = 64;BA.debugLine="End Sub";
return "";
}
public static String  _table1_txtedit_focuschanged(boolean _hasfocus) throws Exception{
 //BA.debugLineNum = 56;BA.debugLine="Sub Table1_txtEdit_FocusChanged (HasFocus As Boolean)";
 //BA.debugLineNum = 57;BA.debugLine="TableGrid.txtEditFocusChanged(Table1,HasFocus)";
mostCurrent._tablegrid._txteditfocuschanged(mostCurrent.activityBA,mostCurrent._table1,_hasfocus);
 //BA.debugLineNum = 58;BA.debugLine="End Sub";
return "";
}
public static String  _table2_btnleft_down() throws Exception{
 //BA.debugLineNum = 100;BA.debugLine="Sub Table2_btnLeft_Down";
 //BA.debugLineNum = 101;BA.debugLine="AutoScroll(\"Table2\",True)";
_autoscroll("Table2",anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 102;BA.debugLine="End Sub";
return "";
}
public static String  _table2_btnleft_up() throws Exception{
 //BA.debugLineNum = 103;BA.debugLine="Sub Table2_btnLeft_Up";
 //BA.debugLineNum = 104;BA.debugLine="AutoScrollOff";
_autoscrolloff();
 //BA.debugLineNum = 105;BA.debugLine="End Sub";
return "";
}
public static String  _table2_btnright_down() throws Exception{
 //BA.debugLineNum = 112;BA.debugLine="Sub Table2_btnRight_Down";
 //BA.debugLineNum = 113;BA.debugLine="AutoScroll(\"Table2\",False)";
_autoscroll("Table2",anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 114;BA.debugLine="End Sub";
return "";
}
public static String  _table2_btnright_up() throws Exception{
 //BA.debugLineNum = 115;BA.debugLine="Sub Table2_btnRight_Up";
 //BA.debugLineNum = 116;BA.debugLine="AutoScrollOff";
_autoscrolloff();
 //BA.debugLineNum = 117;BA.debugLine="End Sub";
return "";
}
public static String  _table2_cell_click() throws Exception{
tablegrid._rowcol _rc = null;
anywheresoftware.b4a.objects.LabelWrapper _l = null;
 //BA.debugLineNum = 49;BA.debugLine="Sub Table2_Cell_Click";
 //BA.debugLineNum = 50;BA.debugLine="Dim rc As RowCol";
_rc = new tablegrid._rowcol();
 //BA.debugLineNum = 51;BA.debugLine="Dim l As Label : l = Sender";
_l = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 51;BA.debugLine="Dim l As Label : l = Sender";
_l.setObject((android.widget.TextView)(anywheresoftware.b4a.keywords.Common.Sender(mostCurrent.activityBA)));
 //BA.debugLineNum = 52;BA.debugLine="rc = l.Tag";
_rc = (tablegrid._rowcol)(_l.getTag());
 //BA.debugLineNum = 53;BA.debugLine="TableGrid.SelectRow(Table2,rc.Row)";
mostCurrent._tablegrid._selectrow(mostCurrent.activityBA,mostCurrent._table2,_rc.Row);
 //BA.debugLineNum = 54;BA.debugLine="activity.Title = \"Cell clicked: (\" & rc.Row & \", \" & rc.Col & \")\"";
mostCurrent._activity.setTitle((Object)("Cell clicked: ("+BA.NumberToString(_rc.Row)+", "+BA.NumberToString(_rc.Col)+")"));
 //BA.debugLineNum = 55;BA.debugLine="End Sub";
return "";
}
public static String  _table2_cell_longclick() throws Exception{
 //BA.debugLineNum = 45;BA.debugLine="Sub Table2_Cell_LongClick";
 //BA.debugLineNum = 46;BA.debugLine="TableGrid.EditTextOpen(Table2,Sender)";
mostCurrent._tablegrid._edittextopen(mostCurrent.activityBA,mostCurrent._table2,(anywheresoftware.b4a.objects.LabelWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.LabelWrapper(), (android.widget.TextView)(anywheresoftware.b4a.keywords.Common.Sender(mostCurrent.activityBA))));
 //BA.debugLineNum = 47;BA.debugLine="End Sub";
return "";
}
public static String  _table2_header_longclick() throws Exception{
 //BA.debugLineNum = 91;BA.debugLine="Sub Table2_Header_LongClick";
 //BA.debugLineNum = 92;BA.debugLine="TableGrid.HeaderLongClick(Table2)";
mostCurrent._tablegrid._headerlongclick(mostCurrent.activityBA,mostCurrent._table2);
 //BA.debugLineNum = 93;BA.debugLine="End Sub";
return "";
}
public static String  _table2_tmrscrollbuttonoff_tick() throws Exception{
 //BA.debugLineNum = 150;BA.debugLine="Sub Table2_tmrScrollButtonOff_Tick";
 //BA.debugLineNum = 152;BA.debugLine="TableGrid.tmrScrollButtonOffTick(Table2)";
mostCurrent._tablegrid._tmrscrollbuttonofftick(mostCurrent.activityBA,mostCurrent._table2);
 //BA.debugLineNum = 153;BA.debugLine="End Sub";
return "";
}
public static String  _table2_txtedit_enterpressed() throws Exception{
 //BA.debugLineNum = 65;BA.debugLine="Sub Table2_txtEdit_EnterPressed";
 //BA.debugLineNum = 66;BA.debugLine="TableGrid.txtEditEnterPressed(Table2,Sender)";
mostCurrent._tablegrid._txteditenterpressed(mostCurrent.activityBA,mostCurrent._table2,(anywheresoftware.b4a.objects.EditTextWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.EditTextWrapper(), (android.widget.EditText)(anywheresoftware.b4a.keywords.Common.Sender(mostCurrent.activityBA))));
 //BA.debugLineNum = 67;BA.debugLine="End Sub";
return "";
}
public static String  _table2_txtedit_focuschanged(boolean _hasfocus) throws Exception{
 //BA.debugLineNum = 59;BA.debugLine="Sub Table2_txtEdit_FocusChanged (HasFocus As Boolean)";
 //BA.debugLineNum = 60;BA.debugLine="TableGrid.txtEditFocusChanged(Table2,HasFocus)";
mostCurrent._tablegrid._txteditfocuschanged(mostCurrent.activityBA,mostCurrent._table2,_hasfocus);
 //BA.debugLineNum = 61;BA.debugLine="End Sub";
return "";
}
public static String  _tmrscroll_tick() throws Exception{
 //BA.debugLineNum = 135;BA.debugLine="Sub tmrScroll_Tick";
 //BA.debugLineNum = 136;BA.debugLine="Select selectedTable";
switch (BA.switchObjectToInt(mostCurrent._selectedtable,"Table1","Table2")) {
case 0:
 //BA.debugLineNum = 138;BA.debugLine="TableGrid.Table_Scroll(Table1,selectedDirection)";
mostCurrent._tablegrid._table_scroll(mostCurrent.activityBA,mostCurrent._table1,_selecteddirection);
 break;
case 1:
 //BA.debugLineNum = 140;BA.debugLine="TableGrid.Table_Scroll(Table2,selectedDirection)";
mostCurrent._tablegrid._table_scroll(mostCurrent.activityBA,mostCurrent._table2,_selecteddirection);
 break;
default:
 break;
}
;
 //BA.debugLineNum = 144;BA.debugLine="if tmrScroll.Interval>1 Then tmrScroll.Interval=tmrScroll.Interval-5";
if (_tmrscroll.getInterval()>(long)(1)) { 
_tmrscroll.setInterval((long)(_tmrscroll.getInterval()-5));};
 //BA.debugLineNum = 145;BA.debugLine="End Sub";
return "";
}
}
