﻿Type=StaticCode
Version=1.50
@EndOfDesignText@

Sub Process_Globals
	'do not change this module
	
	'ColType: LABEL, TEXT, NUMBER, COMBO, BOOLEAN, CHECK
	Type ColTypes(Text As Byte, Number As Byte, Combo As Byte, Check As Byte,Date As Byte)
	Dim ColType As ColTypes
	ColType.Text=0:ColType.Number=1:ColType.Combo=2:ColType.Check=3:ColType.Date=4
	
	Type Columns(Name As String _
				,Text As String _
				,TextSize As Int _
				,Width As Int _
				,ColType As Int _
				,Visible As Boolean _
				,Decimal As Boolean _
				,Alignment As Int _
				,Lookup As List _
				,Readonly As Boolean _
				)

	Type Tables(Name As String _
				, Cols(100) As Columns _
				)	
	Dim Table(10) As Tables				
End Sub

Sub Globals
	
End Sub
Sub Property_Load
	'uoy can add table definition
	Table(0).Initialize	
	Table(0).Name="Table2"
	
	Dim c As Int
	c=0
	
	Table(0).Cols(c).Name="ID"
	Table(0).Cols(c).Text="ID"
	Table(0).Cols(c).Width=20
	Table(0).Cols(c).ColType=ColType.Number
	Table(0).Cols(c).Visible=True
	Table(0).Cols(c).Alignment=Gravity.RIGHT
	Table(0).Cols(c).Readonly=False

	c=c+1
	Table(0).Cols(c).Name="Tanim"
	Table(0).Cols(c).Text="Tanım"
	Table(0).Cols(c).Width=100
	Table(0).Cols(c).ColType=ColType.Text
	Table(0).Cols(c).Visible=True
	Table(0).Cols(c).Alignment=Gravity.LEFT
	Table(0).Cols(c).Readonly=False
	
	c=c+1
	Table(0).Cols(c).Name="Meyve"
	Table(0).Cols(c).Text="Meyve"
	Table(0).Cols(c).TextSize=10
	Table(0).Cols(c).Width=50
	Table(0).Cols(c).ColType=ColType.Combo
	Table(0).Cols(c).Visible=True
	Table(0).Cols(c).Alignment=Gravity.LEFT
	Table(0).Cols(c).Readonly=False	
		Dim m As List
		m.Initialize
		m.Add("Apple")
		m.Add("Pine")
		m.Add("Cheer")
		m.Add("Melone")
	Table(0).Cols(c).Lookup=m	
	
	c=c+1
	Table(0).Cols(c).Name="Check"
	Table(0).Cols(c).Text="Check"
	Table(0).Cols(c).TextSize=10
	Table(0).Cols(c).Width=100
	Table(0).Cols(c).ColType=ColType.Date
	Table(0).Cols(c).Visible=True
	Table(0).Cols(c).Alignment=Gravity.CENTER
	Table(0).Cols(c).Readonly=False	
	
	
	'quick settings for second table
	'you can define all columns seperately as below
	Table(1).Initialize
	Table(1).Name="Table1"
	For c=0 To 18
		Table(1).Cols(c).Name="Baslik"
		Table(1).Cols(c).Text="Başlık"
		Table(1).Cols(c).TextSize=10
		Table(1).Cols(c).Width=50
		Table(1).Cols(c).ColType=ColType.Text
		Table(1).Cols(c).Visible=True
		Table(1).Cols(c).Alignment=Gravity.LEFT
		Table(1).Cols(c).Readonly=False			
	Next
	
End Sub

Sub GetTable(tableName As String) As Columns()
	Dim r(100) As Columns
	For i=0 To table.Length-1
		if Table(i).Name=tablename Then
			For j=0 To table(i).Cols.Length-1
				r(j)=table(i).Cols(j)
			Next
			Return r
		End if
	Next
End Sub